Skip to main content
POST
/
v2
/
onramp
/
verifications
/
{verificationId}
/
submit
Submit onramp verification
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/onramp/verifications/{verificationId}/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "otpCode": "123456"
}
'
{
  "verificationId": "onramp_verification_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "verificationExpiresAt": "2025-06-23T00:00:00Z"
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Headers

X-Idempotency-Key
string

An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.

Required string length: 1 - 128

Path Parameters

verificationId
string
required

The verification ID returned by the Initiate Onramp Verification endpoint. A unique identifier for an onramp verification record, in the format onramp_verification_<uuid>.

Pattern: ^onramp_verification_[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$
Example:

"onramp_verification_a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json

Request body for submitting an OTP code to complete an onramp verification.

otpCode
string
required

The 6-digit OTP code the user received.

Pattern: ^\d{6}$
Example:

"123456"

Response

Successfully completed onramp verification.

The result of successfully submitting an onramp OTP verification.

verificationId
string
required

The same verification ID. Store on the user's device and pass to the Create Onramp Order endpoint. Valid for 60 days.

Pattern: ^onramp_verification_[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$
Example:

"onramp_verification_a1b2c3d4-e5f6-7890-abcd-ef1234567890"

verificationExpiresAt
string<date-time>
required

The date and time when this verification expires for order placement.

Example:

"2025-06-23T00:00:00Z"